# Development Guide

## Commands
- **Start dev server**: `npm run dev`
- **Build for production**: `npm run build`
- **Lint code**: `npm run lint`
- **Preview production build**: `npm run preview`

## Code Style Guidelines
- **React Components**: Use functional components with hooks
- **Imports**: Group imports by: React/libraries, components, styles/assets
- **Formatting**: Use 2-space indentation, semicolons, single quotes
- **Naming**:
  - Components: PascalCase (e.g., `Header.jsx`)
  - Functions/variables: camelCase
  - Files: Component files use .jsx extension
- **CSS**: Use Tailwind utility classes with component-specific CSS when needed
- **Error Handling**: Use try/catch blocks and provide user-friendly error messages
- **Props**: Use destructuring for component props
- **State Management**: Use React hooks (useState, useEffect) for component state

## Tech Stack
- React 18 w/ functional components
- React Router for navigation
- Tailwind CSS for styling
- Vite for build tool